Subject: [bug#55067] [PATCH] gnu: nomad-optimizer: Disable failing test.

From: "Paul A. Patience" <[email-masked]>
Date: Fri, 22 Apr 2022 19:02:34 +0000

On 2022-04-22 13:25:20-04:00, Maxime Devos wrote:
>> It turns out the PSDMads test fails randomly.
>
> Sounds like a bug, preferably it would 100% reliably report the
> underlying problem, whatever it is.

I agree with you, and I have already reported the issue to the
developers (along with some other issues that I addressed in the package
definition).

>> I've disabled it.
>
> I don't think this is a good reason to disable the test.
> Disabling tests whenever they fail defeats the point of tests.

This test failure wasn't getting detected in the past due to a missing
"set -o pipefail" in the test runner, which could explain why it was
missed by the developers.
I don't know enough to fix the bug myself, but I have a suspicion it is
a bug in the test rather than in the library.

Best regards,
Paul